
package de.ivu.elect.presentation.entschaedigung.menu;

import de.ivu.elect.business.security.UseCasePermission;

public class EntschaedigungInAuszahlungBulkPruefenMenuItemEntry extends AbstractEntschaedigungInAuszahlungMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public EntschaedigungInAuszahlungBulkPruefenMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.ENTSCHAEDIGUNG_SEARCH;
  }

  @Override
  public boolean isDisabledInternal() {
    return super.isDisabledInternal() || isAuszahlungSelected() && getSelectedAuszahlung().getEntschaedigungen(entschaedigungDAO).isEmpty();
  }

  @Override
  protected boolean isAjax() {
    return true;
  }

  @Override
  public String getTargetViewId() {
    return null;
  }

  @Override
  public String getDialogName() {
    return "PruefenConfirmed";
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entschaedigung.edit.action.pruefen.confirmed.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconAlert();
  }
}
